Remove files no longer in vendor release from vendor branch.

This commit is contained in:
Gregory Neil Shapiro 2002-04-20 19:51:37 +00:00
parent 605302a5c9
commit 6b7c9af44b
Notes: svn2git 2020-12-20 02:59:44 +00:00
svn path=/vendor/sendmail/dist/; revision=95152
svn path=/vendor/sendmail/8.12.3/; revision=94336; tag=vendor/sendmail/8.12.3
129 changed files with 0 additions and 8416 deletions

View File

@ -1,13 +0,0 @@
#!/bin/sh
# Copyright (c) 1999 Sendmail, Inc. and its suppliers.
# All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
# $Id: Build,v 8.3 1999/09/23 21:31:12 ca Exp $
exec make OPTIONS="$*"

View File

@ -1,8 +0,0 @@
# @(#)BSD.m4 8.3 (Berkeley) 2/9/1998
depend: ${BEFORE}
@mv Makefile Makefile.old
@sed -e '/^# Do not edit or remove this line or anything below it.$$/,$$d' < Makefile.old > Makefile
@echo "# Do not edit or remove this line or anything below it." >> Makefile
mkdep -a -f Makefile ${COPTS} *.c
# End of BSD.m4

View File

@ -1,8 +0,0 @@
# @(#)CC-M.m4 8.2 (Berkeley) 2/19/1998
depend: ${BEFORE}
@mv Makefile Makefile.old
@sed -e '/^# Do not edit or remove this line or anything below it.$$/,$$d' < Makefile.old > Makefile
@echo "# Do not edit or remove this line or anything below it." >> Makefile
${CC} -M ${COPTS} *.c >> Makefile
# End of CC-M.m4

View File

@ -1,8 +0,0 @@
# @(#)NCR.m4 8.3 (Berkeley) 2/19/1998
depend: ${BEFORE}
@mv Makefile Makefile.old
@sed -e '/^# Do not edit or remove this line or anything below it.$$/,$$d' < Makefile.old > Makefile
@echo "# Do not edit or remove this line or anything below it." >> Makefile
${CC} -w0 -Hmake ${COPTS} *.c >> Makefile
# End of NCR.m4

View File

@ -1,8 +0,0 @@
# @(#)Solaris.m4 8.1 (Berkeley) 3/5/1998
depend: ${BEFORE}
@mv Makefile Makefile.old
@sed -e '/^# Do not edit or remove this line or anything below it.$$/,$$d' < Makefile.old > Makefile
@echo "# Do not edit or remove this line or anything below it." >> Makefile
${CC} -xM ${COPTS} *.c >> Makefile
# End of Solaris.m4

View File

@ -1,5 +0,0 @@
# @(#)X11.m4 8.1 (Berkeley) 4/8/1998
depend: ${BEFORE}
makedepend -- ${COPTS} -- *.c
# End of X11.m4

View File

@ -1,8 +0,0 @@
# @(#)generic.m4 8.2 (Berkeley) 2/9/1998
# dependencies
# gross overkill, and yet still not quite enough....
${OBJS}: ${SRCDIR}/sendmail.h ${SRCDIR}/conf.h
# give a null "depend" list so that the startup script will work
depend:
# End of generic.m4

View File

@ -1,32 +0,0 @@
#
# Copyright (c) 1998 Sendmail, Inc. All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
# Definitions for Makefile construction for sendmail
#
# @(#)header.m4 8.14 (Berkeley) 5/19/1998
#
changecom(^A)
undefine(`format')
undefine(`hpux')
ifdef(`pushdef', `',
`errprint(`You need a newer version of M4, at least as new as
System V or GNU')
include(NoSuchFile)')
define(`confABI', `')
define(`confCC', `cc')
define(`confSHELL', `/bin/sh')
define(`confBEFORE', `')
define(`confLIBDIRS', `')
define(`confINCDIRS', `')
define(`confLIBSEARCH', `db bind resolv 44bsd')
define(`confSITECONFIG', `site.config')
define(`confBUILDBIN', `../../BuildTools/bin')
define(`PUSHDIVERT', `pushdef(`__D__', divnum)divert($1)')
define(`POPDIVERT', `divert(__D__)popdef(`__D__')')
define(`APPENDDEF', `define(`$1', ifdef(`$1', `$1 $2', `$2'))')
define(`PREPENDDEF', `define(`$1', ifdef(`$1', `$2 $1', `$2'))')

View File

@ -1,7 +0,0 @@
# @(#)386BSD 8.1 (Berkeley) 1/30/1998
define(`confENVDEF', ` -DMIME')
define(`confLIBS', `-lutil')
define(`confLINKS', `/usr/sbin/sendmail /usr/bin/newaliases \
/usr/sbin/sendmail /usr/bin/mailq \
/usr/sbin/sendmail /usr/bin/hoststat \
/usr/sbin/sendmail /usr/bin/purgestat')

View File

@ -1,11 +0,0 @@
# @(#)A-UX 8.4 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-D_POSIX_SOURCE ')
define(`confLIBS', `-ldbm -lposix -lUTIL')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')

View File

@ -1,10 +0,0 @@
# @(#)AIX 8.6 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-D_AIX3 ')
define(`confOPTIMIZE', `-g')
define(`confLIBS', `-ldbm')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `system')
define(`confSTDIR', `/etc')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `/usr/ucb/install')

View File

@ -1,18 +0,0 @@
# @(#)AIX.2 8.8 (Berkeley) 3/12/1998
PUSHDIVERT(1)
SMROOT= /usr/local/newmail
POPDIVERT
define(`confMAPDEF', `-DNIS')
define(`confENVDEF', `-DBSD -DBSD_INCLUDES -DBSD_REMAP_SIGNAL_TO_SIGVEC \
-D_PATH_SENDMAILCF=\"${SMROOT}/sendmail.cf\"\
-D_PATH_SENDMAILPID=\"${SMROOT}/sendmail.pid\"')
define(`confOPTIMIZE', `-g')
define(`confINCDIRS', `-I/u/markw/src/db.1.85/PORT/aixrt/include -I/u/markw/src/db.1.85/PORT/aixrt -I/fs/work/src/bind/include')
define(`confLIBS', `-lbsd /u/markw/src/db.1.85/PORT/aixrt/libdb.a /usr/local/lib/libgldavg.a /fs/work/src/bind/res/libresolv.a')
define(`confMBINDIR', `${SMROOT}/bin')
define(`confSBINDIR', `/usr/etc')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `system')
define(`confSTDIR', `${SMROOT}')
define(`confHFDIR', `${SMROOT}')
define(`confINSTALL', `/usr/ucb/install')

View File

@ -1,11 +0,0 @@
# @(#)AIX.4.2 8.6 (Berkeley) 8/6/1998
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confENVDEF', `-D_AIX4=40200 ')
define(`confOPTIMIZE', `-O3 -qstrict')
define(`confLIBS', `-ldbm')
define(`confSTDIR', `/etc')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `/usr/ucb/install')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `system')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,12 +0,0 @@
# @(#)AIX.4.3 8.5 (Berkeley) 8/6/1998
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confENVDEF', `-D_AIX4=40300 ')
define(`confOPTIMIZE', `-O3 -qstrict')
define(`confCC', `/usr/bin/xlc')
define(`confLIBS', `-ldbm')
define(`confSTDIR', `/etc')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `/usr/ucb/install')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `system')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,10 +0,0 @@
# @(#)AIX.4.x 8.8 (Berkeley) 8/6/1998
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confENVDEF', `-D_AIX4 ')
define(`confOPTIMIZE', `-O3 -qstrict')
define(`confLIBS', `-ldbm')
define(`confSTDIR', `/etc')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `/usr/ucb/install')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `system')

View File

@ -1,12 +0,0 @@
# @(#)Altos 8.6 (Berkeley) 2/19/1998
define(`confCC', `gcc')
define(`confENVDEF', `-DALTOS_SYSTEM_V ')
define(`confLIBS', `-lsocket -lrpc')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,8 +0,0 @@
# @(#)BSD-OS 8.8 (Berkeley) 6/3/1998
define(`confMAPDEF', `-DNEWDB -DMAP_REGEX')
define(`confENVDEF', `-DNETISO')
define(`confLIBS', `-lutil -lkvm')
define(`confOPTIMIZE', `-O2')
define(`confMAN1EXT', `0')
define(`confMAN5EXT', `0')
define(`confMAN8EXT', `0')

View File

@ -1,21 +0,0 @@
# @(#)BSD43 8.5 (Berkeley) 3/12/1998
define(`confBEFORE', `unistd.h stddef.h stdlib.h dirent.h sys/time.h')
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DoldBSD43 ')
define(`confLIBS', `-ldbm -ll')
define(`confUBINDIR', `/usr/ucb')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
PUSHDIVERT(3)
unistd.h stddef.h stdlib.h sys/time.h:
cp /dev/null $@
sys/time.h: sys
sys:
mkdir sys
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
POPDIVERT

View File

@ -1,14 +0,0 @@
# @(#)CLIX 8.8 (Berkeley) 3/12/1998
define(`confCC', `gcc')
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DCLIX ')
define(`confINCDIRS', `-I/usr/include')
define(`confLIBS', `-lnsl -lbsd')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `cp')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,11 +0,0 @@
# @(#)CRAYT3E.2.0.x 8.1 (Berkeley) 4/21/1998
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DUNICOS ')
define(`confOPTIMIZE', `-O')
define(`confINSTALL', `cpset')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bin')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', ` //usr/spool/mqueue')
define(`confHFDIR', ` /usr/lib')

View File

@ -1,9 +0,0 @@
# @(#)CSOS 8.5 (Berkeley) 2/8/1998
define(`confLIBS', `-lnet')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confEBINDIR', `/usr/lib')
define(`confUBINDIR', `/usr/ucb')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')

View File

@ -1,11 +0,0 @@
# @(#)ConvexOS 8.6 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM -DYPCOMPAT -DNIS')
define(`confENVDEF', `-D__STDC__ -d non_int_bit_field')
define(`confOPTIMIZE', `-g')
define(`confLIBS', `-lshare')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')

View File

@ -1,15 +0,0 @@
# @(#)Dell 8.8 (Berkeley) 3/12/1998
define(`confCC', `gcc')
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-D__svr4__ ')
define(`confOPTIMIZE', `-O2')
define(`confLIBS', `-ldbm -lsocket -lnsl -lelf')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucblib')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/ucblib')
define(`confHFDIR', `/usr/ucblib')
define(`confINSTALL', `/usr/ucb/install')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,18 +0,0 @@
# @(#)DomainOS 8.6 (Berkeley) 6/24/1998
define(`confCC', `cc -A nansi -A,systype,any -A,runtype,bsd4.3')
define(`confBEFORE', `unistd.h dirent.h')
define(`confMAPDEF', `-DNDBM')
define(`confSBINDIR', `/usr/etc')
define(`confMBINDIR', `/usr/lib')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
PUSHDIVERT(3)
unistd.h:
cp /dev/null unistd.h
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
POPDIVERT

View File

@ -1,15 +0,0 @@
# @(#)DomainOS.10.4 8.1 (Berkeley) 6/24/1998
define(`confCC', `cc -A nansi -A,systype,any -A,runtype,bsd4.3')
define(`confBEFORE', `dirent.h')
define(`confMAPDEF', `-DNDBM')
define(`confSBINDIR', `/usr/etc')
define(`confMBINDIR', `/usr/lib')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
PUSHDIVERT(3)
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
POPDIVERT

View File

@ -1,13 +0,0 @@
# @(#)Dynix 8.7 (Berkeley) 2/26/1998
define(`confCC', `gcc')
define(`confOPTIMIZE', `-O -g')
define(`confLIBS', `-lseq')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `staff # no kmem group,')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confOBJADD', `strtol.o')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,29 +0,0 @@
# @(#)EWS-UX_V 8.6 (Berkeley) 3/12/1998
define(`confCC', `/usr/abiccs/bin/cc -KOlimit=900')
define(`confBEFORE', `sysexits.h ndbm.h ndbm.o')
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-Dnec_ews_svr4 ')
define(`confLIBS', `ndbm.o -lsocket -lnsl -lelf # # with NDBM')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/var/ucblib')
define(`confHFDIR', `/var/ucblib')
define(`confINSTALL', `/usr/ucb/install')
PUSHDIVERT(3)
sysexits.h:
echo '#ifndef _LOCAL_SYSEXITS_H_' > sysexits.h;
echo '#define _LOCAL_SYSEXITS_H_' >> sysexits.h;
cat /usr/abiccs/ucbinclude/sysexits.h >> sysexits.h;
echo '#endif /* _LOCAL_SYSEXITS_H_ */' >> sysexits.h;
# ln -s /usr/abiccs/ucbinclude/sysexits.h .
ndbm.h:
ln -s /usr/abiccs/ucbinclude/ndbm.h .
ndbm.o:
ar x /usr/abiccs/ucblib/libucb.a ndbm.o
# ar x /usr/ucblib/libucb.a ndbm.o
POPDIVERT

View File

@ -1,3 +0,0 @@
# @(#)FreeBSD 8.5 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNEWDB -DNIS -DMAP_REGEX')
define(`confLIBS', `-lutil')

View File

@ -1,12 +0,0 @@
# @(#)HP-UX 8.9 (Berkeley) 3/14/1998
define(`confCC', `cc -Aa -D_HPUX_SOURCE')
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confOPTIMIZE', `+O1')
define(`confLIBS', `-lndbm')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')

View File

@ -1,11 +0,0 @@
# @(#)HP-UX.10.x 8.10 (Berkeley) 3/21/1998
define(`confCC', `cc -Aa -D_HPUX_SOURCE')
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confENVDEF', `-DV4FS ')
define(`confOPTIMIZE', `+O3')
define(`confLIBS', `-lndbm')
define(`confSHELL', `/usr/bin/sh')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/usr/share/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confSBINGRP', `mail')

View File

@ -1,11 +0,0 @@
# @(#)HP-UX.11.x 8.7 (Berkeley) 3/30/1998
define(`confCC', `cc -Ae')
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confENVDEF', `-DV4FS -DHPUX11 ')
define(`confOPTIMIZE', `+O3')
define(`confLIBS', `-ldbm -lnsl')
define(`confSHELL', `/usr/bin/sh')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/usr/share/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confSBINGRP', `mail')

View File

@ -1,13 +0,0 @@
# @(#)IRIX 8.7 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DIRIX ')
define(`confLIBS', `-lmld -lmalloc -lsun')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bsd')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,13 +0,0 @@
# @(#)IRIX.5.x 8.7 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DIRIX5 ')
define(`confLIBS', `-lmld -lmalloc')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bsd')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/var')
define(`confHFDIR', `/etc')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,35 +0,0 @@
# @(#)IRIX.6.5 8.2 (Berkeley) 4/24/1998
PUSHDIVERT(1)
# Select what ABI we are using -- see abi(5) for details
# -32 ~ IRIX 5.3 (default: -mips2)
# - long and pointer are 32 bit
# -n32 New to IRIX 6.2 (default: -mips3)
# - long and pointer are 32 bit
# -64 ~ IRIX 6.1 (default: -mips4)
# - long and pointer are 64 bit
# We force ABI here, so then it does not depend on CPU
#
# With IDO 6.2 (IRIX 6.2) you need subsystem compiler_dev.sw32.lib
# for compilation with ABI=-n32 -- alternatively you can set ABI=-32
# ABI=-64 requires subsystem compiler_dev.sw64.lib, but this runs
# only with IRIX64 (ie. 64 bit kernels)
#
# NOTE: Do not set `confABI' in a site configuration file! The ABI MUST
# be given on the Build command line using the -E parameter, e.g.:
#
# Build -E ABI=-n32
#
ABI= confABI
POPDIVERT
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confENVDEF', `-DIRIX6 -DHASSNPRINTF=1 ${ABI} ')
define(`confLDOPTS', `${ABI}')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bsd')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/var')
define(`confHFDIR', `/etc')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,35 +0,0 @@
# @(#)IRIX.6.x 8.11 (Berkeley) 4/24/1998
PUSHDIVERT(1)
# Select what ABI we are using -- see abi(5) for details
# -32 ~ IRIX 5.3 (default: -mips2)
# - long and pointer are 32 bit
# -n32 New to IRIX 6.2 (default: -mips3)
# - long and pointer are 32 bit
# -64 ~ IRIX 6.1 (default: -mips4)
# - long and pointer are 64 bit
# We force ABI here, so then it does not depend on CPU
#
# With IDO 6.2 (IRIX 6.2) you need subsystem compiler_dev.sw32.lib
# for compilation with ABI=-n32 -- alternatively you can set ABI=-32
# ABI=-64 requires subsystem compiler_dev.sw64.lib, but this runs
# only with IRIX64 (ie. 64 bit kernels)
#
# NOTE: Do not set `confABI' in a site configuration file! The ABI MUST
# be given on the Build command line using the -E parameter, e.g.:
#
# Build -E ABI=-n32
#
ABI= confABI
POPDIVERT
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confENVDEF', `-DIRIX6 ${ABI} ')
define(`confLDOPTS', `${ABI}')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bsd')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/var')
define(`confHFDIR', `/etc')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,34 +0,0 @@
# @(#)IRIX64.6.0 8.10 (Berkeley) 3/12/1998
PUSHDIVERT(1)
# Select what ABI we are using -- see abi(5) for details
# -32 ~ IRIX 5.3 (default: -mips2)
# - long and pointer are 32 bit
# -64 ~ IRIX 6.1 (default: -mips4)
# - long and pointer are 64 bit
# We force ABI here, so then it does not depend on CPU
#
# With IDO 6.2 (IRIX 6.2) you need subsystem compiler_dev.sw32.lib
# for compilation with ABI=-n32 -- alternatively you can set ABI=-32
# ABI=-64 requires subsystem compiler_dev.sw64.lib, but this runs
# only with IRIX64 (ie. 64 bit kernels)
#
# NOTE: Do not set `confABI' in a site configuration file! The ABI MUST
# be given on the Build command line using the -E parameter, e.g.:
#
# Build -E ABI=-32
#
ABI= confABI
POPDIVERT
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DIRIX64 ${ABI} ')
define(`confLDOPTS', `${ABI}')
define(`confLIBS', `-lelf -lmalloc')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bsd')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,34 +0,0 @@
# @(#)IRIX64.6.1 8.10 (Berkeley) 3/12/1998
PUSHDIVERT(1)
# Select what ABI we are using -- see abi(5) for details
# -32 ~ IRIX 5.3 (default: -mips2)
# - long and pointer are 32 bit
# -64 ~ IRIX 6.1 (default: -mips4)
# - long and pointer are 64 bit
# We force ABI here, so then it does not depend on CPU
#
# With IDO 6.2 (IRIX 6.2) you need subsystem compiler_dev.sw32.lib
# for compilation with ABI=-n32 -- alternatively you can set ABI=-32
# ABI=-64 requires subsystem compiler_dev.sw64.lib, but this runs
# only with IRIX64 (ie. 64 bit kernels)
#
# NOTE: Do not set `confABI' in a site configuration file! The ABI MUST
# be given on the Build command line using the -E parameter, e.g.:
#
# Build -E ABI=-32
#
ABI= confABI
POPDIVERT
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DIRIX64 ${ABI} ')
define(`confLDOPTS', `${ABI}')
define(`confLIBS', `-lelf -lmalloc')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bsd')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,35 +0,0 @@
# @(#)IRIX64.6.5 8.1 (Berkeley) 11/29/1998
PUSHDIVERT(1)
# Select what ABI we are using -- see abi(5) for details
# -32 ~ IRIX 5.3 (default: -mips2)
# - long and pointer are 32 bit
# -n32 New to IRIX 6.2 (default: -mips3)
# - long and pointer are 32 bit
# -64 ~ IRIX 6.1 (default: -mips4)
# - long and pointer are 64 bit
# We force ABI here, so then it does not depend on CPU
#
# With IDO 6.2 (IRIX 6.2) you need subsystem compiler_dev.sw32.lib
# for compilation with ABI=-n32 -- alternatively you can set ABI=-32
# ABI=-64 requires subsystem compiler_dev.sw64.lib, but this runs
# only with IRIX64 (ie. 64 bit kernels)
#
# NOTE: Do not set `confABI' in a site configuration file! The ABI MUST
# be given on the Build command line using the -E parameter, e.g.:
#
# Build -E ABI=-n32
#
ABI= confABI
POPDIVERT
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confENVDEF', `-DIRIX6 -DHASSNPRINTF=1 ${ABI} ')
define(`confLDOPTS', `${ABI}')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bsd')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/var')
define(`confHFDIR', `/etc')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,35 +0,0 @@
# @(#)IRIX64.6.x 8.11 (Berkeley) 4/24/1998
PUSHDIVERT(1)
# Select what ABI we are using -- see abi(5) for details
# -32 ~ IRIX 5.3 (default: -mips2)
# - long and pointer are 32 bit
# -n32 New to IRIX 6.2 (default: -mips3)
# - long and pointer are 32 bit
# -64 ~ IRIX 6.1 (default: -mips4)
# - long and pointer are 64 bit
# We force ABI here, so then it does not depend on CPU
#
# With IDO 6.2 (IRIX 6.2) you need subsystem compiler_dev.sw32.lib
# for compilation with ABI=-n32 -- alternatively you can set ABI=-32
# ABI=-64 requires subsystem compiler_dev.sw64.lib, but this runs
# only with IRIX64 (ie. 64 bit kernels)
#
# NOTE: Do not set `confABI' in a site configuration file! The ABI MUST
# be given on the Build command line using the -E parameter, e.g.:
#
# Build -E ABI=-n32
#
ABI= confABI
POPDIVERT
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confENVDEF', `-DIRIX6 ${ABI} ')
define(`confLDOPTS', `${ABI}')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bsd')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/var')
define(`confHFDIR', `/etc')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,10 +0,0 @@
# @(#)ISC 8.5 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DISC_UNIX -D_POSIX_SOURCE -D_SYSV3 ')
define(`confLIBS', `-lyp -lrpc -lndbm -linet -lcposix')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/usr/spool/log')
define(`confHFDIR', `/usr/lib')

View File

@ -1,7 +0,0 @@
# @(#)KSR 8.4 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confLIBDIRS', `-L/usr/shlib -L/usr/lib')
define(`confLIBS', `-ldbm')
define(`confSTDIR', `/var/adm/sendmail')
define(`confHFDIR', `/usr/share/lib')
define(`confINSTALL', `installbsd')

View File

@ -1,46 +0,0 @@
# @(#)LUNA 8.8 (Berkeley) 3/12/1998
define(`confBEFORE', `dirent.h stddef.h stdlib.h unistd.h limits.h time.h sys/time.h')
define(`confMAPDEF', `-DNDBM')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
PUSHDIVERT(3)
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
stddef.h unistd.h limits.h:
if [ -f /usr/include/$@ ]; then \
ln -s /usr/include/$@ .; \
else \
cp /dev/null $@; \
fi
stdlib.h:
if [ -f /usr/include/stdlib.h ]; then \
ln -s /usr/include/stdlib.h .; \
else \
if [ -f /usr/include/libc.h ]; then \
ln -s /usr/include/libc.h stdlib.h; \
else \
cp /dev/null stdlib.h; \
fi; \
fi
# just for UNIOS-B
time.h:
echo "#ifndef _LOCAL_TIME_H_" > time.h
echo "#define _LOCAL_TIME_H_" >> time.h
cat /usr/include/time.h >> time.h
echo "#endif" >> time.h
sys/time.h:
-mkdir sys
echo "#ifndef _LOCAL_SYS_TIME_H_" > sys/time.h
echo "#define _LOCAL_SYS_TIME_H_" >> sys/time.h
cat /usr/include/sys/time.h >> sys/time.h
echo "#endif" >> sys/time.h
POPDIVERT

View File

@ -1,5 +0,0 @@
# @(#)Linux 8.4 (Berkeley) 3/22/1998
define(`confSTDIR', `/etc')
define(`confHFDIR', `/usr/lib')
define(`confDEPEND_TYPE', `CC-M')
define(`confMANROOT', `/usr/man/man')

View File

@ -1,3 +0,0 @@
# @(#)Linux.ppc 8.3 (Berkeley) 2/12/1998
define(`confHFDIR', `/usr/lib')
define(`confSBINGRP', `mail')

View File

@ -1,11 +0,0 @@
# @(#)Mach386 8.6 (Berkeley) 3/12/1998
define(`confCC', `gcc')
define(`confMAPDEF', `-DNDBM')
define(`confLIBS', `-ldbm')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,15 +0,0 @@
# @(#)NCR.MP-RAS.2.x 8.9 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DNCR_MP_RAS2 ')
define(`confOPTIMIZE', `-O2')
define(`confINCDIRS', `-I/usr/include -I/usr/ucbinclude')
define(`confLIBDIRS', `-L/usr/ucblib')
define(`confLIBS', `-lnsl -lnet -lsocket -lelf -lc -lucb')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSTDIR', `/var/ucblib')
define(`confHFDIR', `/usr/ucblib')
define(`confINSTALL', `/usr/ucb/install')
define(`confDEPEND_TYPE', `NCR')

View File

@ -1,15 +0,0 @@
# @(#)NCR.MP-RAS.3.x 8.10 (Berkeley) 8/6/1998
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DNCR_MP_RAS3 ')
define(`confOPTIMIZE', `-O2')
define(`confINCDIRS', `-I/usr/include -I/usr/ucbinclude')
define(`confLIBDIRS', `-L/usr/ucblib')
define(`confLIBS', `-lresolv -lsocket -lnsl -lelf -lc -lucb')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSTDIR', `/var/ucblib')
define(`confHFDIR', `/usr/ucblib')
define(`confINSTALL', `/usr/ucb/install')
define(`confDEPEND_TYPE', `NCR')

View File

@ -1,14 +0,0 @@
# @(#)NEWS-OS.4.x 8.6 (Berkeley) 3/12/1998
define(`confBEFORE', `limits.h')
define(`confMAPDEF', `-DNDBM')
define(`confLIBS', `-lmld')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
PUSHDIVERT(3)
limits.h:
touch limits.h
POPDIVERT

View File

@ -1,28 +0,0 @@
# @(#)NEWS-OS.6.x 8.8 (Berkeley) 3/12/1998
define(`confCC', `/bin/cc')
define(`confBEFORE', `sysexits.h ndbm.o')
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DSYSLOG_BUFSIZE=256 # -DSPT_TYPE=SPT_NONE ')
define(`confLIBS', `ndbm.o -lelf -lsocket -lnsl # # with NDBM')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/etc')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `/usr/ucb/install')
PUSHDIVERT(3)
sysexits.h:
ln -s /usr/ucbinclude/sysexits.h .
ndbm.o:
if [ ! -f /usr/include/ndbm.h ]; then \
ln -s /usr/ucbinclude/ndbm.h .; \
fi; \
if [ -f /usr/lib/libndbm.a ]; then \
ar x /usr/lib/libndbm.a ndbm.o; \
else \
ar x /usr/ucblib/libucb.a ndbm.o; \
fi;
POPDIVERT

View File

@ -1,28 +0,0 @@
# @(#)NEXTSTEP.4.x 8.1 (Berkeley) 3/21/1998
PUSHDIVERT(1)
# NEXTSTEP 3.1 and 3.2 only support m68k and i386
#ARCH= -arch m68k -arch i386 -arch hppa -arch sparc
#ARCH= -arch m68k -arch i386
#ARCH= ${RC_CFLAGS}
# For new sendmail Makefile structure, this must go in the ENVDEF and LDOPTS
POPDIVERT
define(`confBEFORE', `unistd.h dirent.h')
define(`confMAPDEF', `-DNDBM -DNIS -DNETINFO')
define(`confENVDEF', `-DNeXT -Wno-precomp -pipe ${RC_CFLAGS}')
define(`confLDOPTS', `${RC_CFLAGS}')
define(`confLIBS', `-ldbm')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/etc/sendmail')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
PUSHDIVERT(3)
unistd.h:
cp /dev/null unistd.h
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
POPDIVERT

View File

@ -1,20 +0,0 @@
# @(#)NeXT.2.x 8.7 (Berkeley) 3/12/1998
define(`confBEFORE', `unistd.h dirent.h')
define(`confMAPDEF', `-DNDBM -DNIS -DNETINFO')
define(`confENVDEF', `-DNeXT ')
define(`confLIBS', `-ldbm')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/etc/sendmail')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
PUSHDIVERT(3)
unistd.h:
cp /dev/null unistd.h
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
POPDIVERT

View File

@ -1,28 +0,0 @@
# @(#)NeXT.3.x 8.7 (Berkeley) 3/12/1998
PUSHDIVERT(1)
# NEXTSTEP 3.1 and 3.2 only support m68k and i386
#ARCH= -arch m68k -arch i386 -arch hppa -arch sparc
#ARCH= -arch m68k -arch i386
#ARCH= ${RC_CFLAGS}
# For new sendmail Makefile structure, this must go in the ENVDEF and LDOPTS
POPDIVERT
define(`confBEFORE', `unistd.h dirent.h')
define(`confMAPDEF', `-DNDBM -DNIS -DNETINFO')
define(`confENVDEF', `-DNeXT -Wno-precomp -pipe ${RC_CFLAGS}')
define(`confLDOPTS', `${RC_CFLAGS}')
define(`confLIBS', `-ldbm')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/etc/sendmail')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
PUSHDIVERT(3)
unistd.h:
cp /dev/null unistd.h
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
POPDIVERT

View File

@ -1,29 +0,0 @@
# @(#)NeXT.4.x 8.9 (Berkeley) 7/15/1998
PUSHDIVERT(1)
# NEXTSTEP 3.1 and 3.2 only support m68k and i386
#ARCH= -arch m68k -arch i386 -arch hppa -arch sparc
#ARCH= -arch m68k -arch i386
#ARCH= ${RC_CFLAGS}
# For new sendmail Makefile structure, this must go in the ENVDEF and LDOPTS
POPDIVERT
define(`confBEFORE', `unistd.h dirent.h')
define(`confMAPDEF', `-DNDBM -DNIS -DNETINFO')
define(`confENVDEF', `-DNeXT -Wno-precomp -pipe ${RC_CFLAGS}')
define(`confLDOPTS', `${RC_CFLAGS}')
define(`confLIBS', `-ldbm')
define(`confMANROOT', `/usr/man/cat')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/etc/sendmail')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
PUSHDIVERT(3)
unistd.h:
cp /dev/null unistd.h
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
POPDIVERT

View File

@ -1,4 +0,0 @@
# @(#)NetBSD 8.6 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNEWDB -DNIS -DMAP_REGEX')
define(`confENVDEF', ` -DNETISO')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,3 +0,0 @@
# @(#)NetBSD.8.3 8.6 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNEWDB -DNIS -DMAP_REGEX')
define(`confENVDEF', ` # -DNETISO')

View File

@ -1,16 +0,0 @@
# @(#)NonStop-UX 8.8 (Berkeley) 3/12/1998
define(`confCC', `gcc')
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DNonStop_UX_BXX -D_SVID ')
define(`confINCDIRS', `-I/usr/include -I/usr/ucbinclude')
define(`confLIBDIRS', `-L/usr/ucblib')
define(`confLIBS', `-lsocket -lnsl -lelf -lucb')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/ucblib')
define(`confHFDIR', `/usr/ucblib')
define(`confINSTALL', `/usr/ucb/install')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,9 +0,0 @@
# @(#)OSF1 8.7 (Berkeley) 3/14/1998
define(`confCC', `cc -Olimit 1000')
define(`confMAPDEF', `-DNDBM -DNIS -DMAP_REGEX')
define(`confLIBS', `-ldbm')
define(`confSTDIR', `/var/adm/sendmail')
define(`confHFDIR', `/usr/share/lib')
define(`confINSTALL', `installbsd')
define(`confUBINDIR', `${BINDIR}')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,3 +0,0 @@
# @(#)OpenBSD 8.5 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNEWDB -DNIS -DMAP_REGEX')
define(`confENVDEF', ` -DNETISO')

View File

@ -1,10 +0,0 @@
# @(#)PTX 8.6 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM')
define(`confOPTIMIZE', `-g')
define(`confLIBS', `-lsocket -linet -lelf -lnsl -lseq')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')

View File

@ -1,8 +0,0 @@
# @(#)Paragon 8.3 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM')
define(`confLIBDIRS', `-L/usr/shlib -L/usr/lib')
define(`confLIBS', `-ldbm')
define(`confSTDIR', `/var/adm/sendmail')
define(`confHFDIR', `/usr/share/lib')
define(`confINSTALL', `installbsd')
define(`confUBINDIR', `${BINDIR}')

View File

@ -1,9 +0,0 @@
# @(#)PowerUX 8.5 (Berkeley) 2/12/1998
define(`confENVDEF', `-D__svr4__ ')
define(`confLIBS', `-Bstatic -lsocket -lnsl -lelf -lgen')
define(`confMBINDIR', `/usr/local/etc')
define(`confSBINDIR', `/usr/local/etc')
define(`confUBINDIR', `/usr/local/bin')
define(`confEBINDIR', `/usr/local/lib')
define(`confSBINGRP', `mail')
define(`confINSTALL', `/usr/ucb/install')

View File

@ -1,15 +0,0 @@
# @(#)QNX 8.4 (Berkeley) 2/19/1998
PUSHDIVERT(1)
#
# For this Makefile to work you must compile and install the libdb package
# and then change DBMINC and DBMLIB as appropriate.
#
DBMINC= /usr/local/include
DBMLIB= /usr/local/lib
POPDIVERT
define(`confENVDEF', `-Osax -w4 -zc -fr= -D__BIT_TYPES_DEFINED__')
define(`confINCDIRS', `${DBMINC}')
define(`confLIBDIRS', `${DBMLIB}')
define(`confLIBS', `-lsocket')
define(`confLDOPTS', `-M -N256k')
define(`confINSTALL', `${BUILDBIN}/install.sh')

View File

@ -1,25 +0,0 @@
# @(#)RISCos 8.5 (Berkeley) 3/12/1998
define(`confCC', `cc -systype bsd43 -Olimit 900')
define(`confBEFORE', `stdlib.h dirent.h unistd.h stddef.h')
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DRISCOS ')
define(`confLIBS', `-lmld')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/etc')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `/usr/bsd43/bin/install')
PUSHDIVERT(3)
stdlib.h stddef.h:
cp /dev/null $@
unistd.h:
echo "typedef unsigned short mode_t;" > unistd.h
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
POPDIVERT

View File

@ -1,25 +0,0 @@
# @(#)RISCos.4_0 8.6 (Berkeley) 3/12/1998
define(`confCC', `cc -systype bsd43 -Olimit 900')
define(`confBEFORE', `stdlib.h dirent.h unistd.h stddef.h')
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-DRISCOS -DRISCOS_4_0 ')
define(`confLIBS', `-lmld')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
PUSHDIVERT(3)
stdlib.h stddef.h:
cp /dev/null $@
unistd.h:
echo "typedef unsigned short mode_t;" > unistd.h
dirent.h:
echo "#include <sys/dir.h>" > dirent.h
echo "#define dirent direct" >> dirent.h
POPDIVERT

View File

@ -1,16 +0,0 @@
# @(#)Rhapsody 8.1 (Berkeley) 11/7/1998
#
# Wilfredo Sanchez <wsanchez@apple.com>:
# We look a lot more like 4.4BSD than NeXTStep or OpenStep.
#
define(`confMAPDEF', `-DNEWDB -DNIS -DMAP_REGEX -DNETINFO -DAUTO_NETINFO_ALIASES -DAUTO_NETINFO_HOSTS')
define(`confENVDEF', `-DNETISO -traditional-cpp -pipe ${Extra_CC_Flags}')
define(`confLDOPTS', `${Extra_LD_Flags}')
define(`confOPTIMIZE', `-O3')
define(`confHFDIR', `/usr/share/sendmail')
define(`confMANOWN', `root')
define(`confMANGRP', `wheel')
define(`confUBINOWN', `root')
define(`confUBINGRP', `wheel')
define(`confSBINOWN', `root')
define(`confSBINGRP', `wheel')

View File

@ -1,9 +0,0 @@
# @(#)SCO 8.3 (Berkeley) 2/8/1998
define(`confENVDEF', `-D_SCO_unix_ ')
define(`confLIBS', `-lsocket -lprot_s -lx -lc_s')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')

View File

@ -1,11 +0,0 @@
# @(#)SCO.4.2 8.5 (Berkeley) 6/30/1998
define(`confENVDEF', `-D_SCO_unix_4_2 ')
define(`confLIBS', `-lsocket -lndbm -lprot_s -lx -lc_s')
define(`confMAPDEF', `-DNDBM')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `bin')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')

View File

@ -1,10 +0,0 @@
# @(#)SCO.5.x 8.10 (Berkeley) 6/30/1998
define(`confCC', `cc -b elf')
define(`confLIBS', `-lsocket -lndbm -lprot -lcurses -lm -lx -lgen')
define(`confMAPDEF', `-DMAP_REGEX -DNDBM')
define(`confSBINGRP', `bin')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/bin')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')

View File

@ -1,12 +0,0 @@
# @(#)SINIX 8.5 (Berkeley) 2/12/1998
define(`confCC', `/usr/bin/cc')
define(`confENVDEF', `-D__svr4__ ')
define(`confLIBS', `-lsocket -lnsl -lelf')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/ucblib')
define(`confHFDIR', `/usr/ucblib')
define(`confINSTALL', `/usr/ucb/install')

View File

@ -1,14 +0,0 @@
# @(#)SVR4 8.6 (Berkeley) 3/12/1998
define(`confCC', `gcc')
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-D__svr4__ ')
define(`confLIBS', `-ldbm -lsocket -lnsl -lelf')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/ucblib')
define(`confHFDIR', `/usr/ucblib')
define(`confINSTALL', `/usr/ucb/install')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,10 +0,0 @@
# @(#)SunOS 8.6 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confLDOPTS', `-Bstatic')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/etc')
define(`confHFDIR', `/usr/lib')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,15 +0,0 @@
# @(#)SunOS.4.0 8.6 (Berkeley) 3/12/1998
define(`confBEFORE', `stdlib.h stddef.h limits.h')
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DSUNOS403 ')
define(`confLDOPTS', `-Bstatic')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', `/etc')
define(`confHFDIR', `/usr/lib')
PUSHDIVERT(3)
stddef.h stdlib.h limits.h:
cp /dev/null $@
POPDIVERT

View File

@ -1,22 +0,0 @@
# @(#)SunOS.5.1 8.8 (Berkeley) 3/21/1998
define(`confCC', `gcc')
define(`confBEFORE', `sysexits.h')
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DSOLARIS=20100 ')
define(`confLIBS', `-lsocket -lnsl -lelf')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/etc/mail')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')
PUSHDIVERT(3)
sysexits.h:
if [ -r /usr/ucbinclude/sysexits.h ]; \
then \
ln -s /usr/ucbinclude/sysexits.h; \
fi
POPDIVERT

View File

@ -1,22 +0,0 @@
# @(#)SunOS.5.2 8.8 (Berkeley) 3/21/1998
define(`confCC', `gcc')
define(`confBEFORE', `sysexits.h')
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DSOLARIS=20100 ')
define(`confLIBS', `-lsocket -lnsl -lelf')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/etc/mail')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')
PUSHDIVERT(3)
sysexits.h:
if [ -r /usr/ucbinclude/sysexits.h ]; \
then \
ln -s /usr/ucbinclude/sysexits.h; \
fi
POPDIVERT

View File

@ -1,20 +0,0 @@
# @(#)SunOS.5.3 8.8 (Berkeley) 3/21/1998
define(`confCC', `gcc')
define(`confBEFORE', `sysexits.h')
define(`confMAPDEF', `-DNDBM -DNIS -DNISPLUS')
define(`confENVDEF', `-DSOLARIS=20300 ')
define(`confLIBS', `-lsocket -lnsl -lelf')
define(`confMBINDIR', `/usr/lib')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/etc/mail')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')
PUSHDIVERT(3)
sysexits.h:
if [ -r /usr/ucbinclude/sysexits.h ]; \
then \
ln -s /usr/ucbinclude/sysexits.h; \
fi
POPDIVERT

View File

@ -1,20 +0,0 @@
# @(#)SunOS.5.4 8.10 (Berkeley) 3/21/1998
define(`confCC', `gcc')
define(`confBEFORE', `sysexits.h')
define(`confMAPDEF', `-DNDBM -DNIS -DNISPLUS')
define(`confENVDEF', `-DSOLARIS=20400 ')
define(`confLIBS', `-lsocket -lnsl -lelf')
define(`confMBINDIR', `/usr/lib')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/etc/mail')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')
PUSHDIVERT(3)
sysexits.h:
if [ -r /usr/include/sysexits.h ]; \
then \
ln -s /usr/include/sysexits.h; \
fi
POPDIVERT

View File

@ -1,20 +0,0 @@
# @(#)SunOS.5.5 8.11 (Berkeley) 3/21/1998
define(`confCC', `gcc')
define(`confBEFORE', `sysexits.h')
define(`confMAPDEF', `-DNDBM -DNIS -DNISPLUS -DMAP_REGEX')
define(`confENVDEF', `-DSOLARIS=20500 ')
define(`confLIBS', `-lsocket -lnsl -lkstat')
define(`confMBINDIR', `/usr/lib')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/etc/mail')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')
PUSHDIVERT(3)
sysexits.h:
if [ -r /usr/include/sysexits.h ]; \
then \
ln -s /usr/include/sysexits.h; \
fi
POPDIVERT

View File

@ -1,20 +0,0 @@
# @(#)SunOS.5.6 8.10 (Berkeley) 3/21/1998
define(`confCC', `gcc')
define(`confBEFORE', `sysexits.h')
define(`confMAPDEF', `-DNDBM -DNIS -DNISPLUS -DMAP_REGEX')
define(`confENVDEF', `-DSOLARIS=20600 ')
define(`confLIBS', `-lsocket -lnsl -lkstat')
define(`confMBINDIR', `/usr/lib')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/etc/mail')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')
PUSHDIVERT(3)
sysexits.h:
if [ -r /usr/include/sysexits.h ]; \
then \
ln -s /usr/include/sysexits.h; \
fi
POPDIVERT

View File

@ -1,20 +0,0 @@
# @(#)SunOS.5.7 8.11 (Berkeley) 3/21/1998
define(`confCC', `gcc')
define(`confBEFORE', `sysexits.h')
define(`confMAPDEF', `-DNDBM -DNIS -DNISPLUS -DMAP_REGEX')
define(`confENVDEF', `-DSOLARIS=20700 ')
define(`confLIBS', `-lsocket -lnsl')
define(`confMBINDIR', `/usr/lib')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/etc/mail')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confDEPEND_TYPE', `CC-M')
PUSHDIVERT(3)
sysexits.h:
if [ -r /usr/include/sysexits.h ]; \
then \
ln -s /usr/include/sysexits.h; \
fi
POPDIVERT

View File

@ -1,13 +0,0 @@
# @(#)Titan 8.5 (Berkeley) 3/12/1998
define(`confCC', `cc -43')
define(`confBEFORE', `stddef.h stdlib.h')
define(`confMAPDEF', `-DNDBM')
define(`confLIBS', `-ldbm')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
PUSHDIVERT(3)
stddef.h stdlib.h:
cp /dev/null $@
POPDIVERT

View File

@ -1,10 +0,0 @@
# @(#)ULTRIX 8.8 (Berkeley) 12/18/1998
define(`confCC', `cc -Olimit 970')
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DIDENTPROTO=0 ')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,15 +0,0 @@
# @(#)UMAX 8.5 (Berkeley) 3/12/1998
define(`confBEFORE', `stddef.h')
define(`confMAPDEF', `-DNIS')
define(`confENVDEF', `-DUMAXV ')
define(`confLIBS', `-lyp -lrpc')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
PUSHDIVERT(3)
stddef.h:
echo "#define _STDDEF_H" > stddef.h
chmod 444 stddef.h
POPDIVERT

View File

@ -1,9 +0,0 @@
# @(#)UNICOS 8.7 (Berkeley) 2/26/1998
define(`confENVDEF', `-DUNICOS ')
define(`confOPTIMIZE', `-O')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSTDIR', ` /etc/mail')
define(`confHFDIR', ` /etc/mail')

View File

@ -1,14 +0,0 @@
# @(#)UNIX_SV.4.x.i386 8.6 (Berkeley) 3/12/1998
define(`confCC', `gcc')
define(`confMAPDEF', `-DNDBM')
define(`confENVDEF', `-D__svr4__ -DUNIXWARE ')
define(`confLIBS', `-lc -ldbm -lsocket -lnsl -lgen -lelf')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/ucblib')
define(`confHFDIR', `/usr/ucblib')
define(`confINSTALL', `/usr/ucb/install')
define(`confDEPEND_TYPE', `CC-M')

View File

@ -1,24 +0,0 @@
# @(#)UX4800 8.8 (Berkeley) 3/12/1998
define(`confCC', `/usr/abiccs/bin/cc -KOlimit=900')
define(`confBEFORE', `sysexits.h ndbm.h')
define(`confMAPDEF', `-DNDBM -DNIS # without NEWDB')
define(`confENVDEF', `-DHASSNPRINTF=1 ')
define(`confLIBS', `-lsocket -lnsl -lelf # # without NEWDB')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINGRP', `sys')
define(`confSTDIR', `/var/ucblib')
define(`confHFDIR', `/var/ucblib')
define(`confINSTALL', `/usr/ucb/install')
PUSHDIVERT(3)
sysexits.h:
echo '#ifndef _LOCAL_SYSEXITS_H_' > sysexits.h;
echo '#define _LOCAL_SYSEXITS_H_' >> sysexits.h;
cat /usr/abiccs/ucbinclude/sysexits.h >> sysexits.h;
echo '#endif /* _LOCAL_SYSEXITS_H_ */' >> sysexits.h;
ndbm.h:
sed 's/void/char/' /usr/abiccs/include/ndbm.h > ndbm.h
POPDIVERT

View File

@ -1,15 +0,0 @@
# @(#)UXPDS.V10 8.9 (Berkeley) 3/12/1998
define(`confCC', `/usr/ccs/bin/cc')
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DUXPDS=10 ')
define(`confINCDIRS', `-I/usr/include -I/usr/ucbinclude')
define(`confLIBS', `/usr/ucblib/libdbm.a /usr/ucblib/libucb.a -lsocket -lnsl -lelf')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/ucblib')
define(`confHFDIR', `/usr/ucblib')
define(`confINSTALL', `/usr/ucb/install')
define(`confMANROOT', `/usr/local/man/man')

View File

@ -1,22 +0,0 @@
# @(#)UXPDS.V20 8.8 (Berkeley) 3/12/1998
define(`confCC', `/usr/ccs/bin/cc')
define(`confBEFORE', `netinet/ip_var.h')
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confENVDEF', `-DUXPDS=20 ')
define(`confLIBS', `/usr/ucblib/libdbm.a -lsocket -lnsl -lelf')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/ucblib')
define(`confHFDIR', `/usr/ucblib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
define(`confMANROOT', `/usr/local/man/man')
PUSHDIVERT(3)
netinet/ip_var.h: netinet /usr/include/netinet/ip_var.h
sed '/ip_var_f.h/d' /usr/include/netinet/ip_var.h > netinet/ip_var.h
netinet:
mkdir netinet
POPDIVERT

View File

@ -1,18 +0,0 @@
# @(#)UnixWare.5.i386 8.2 (Berkeley) 10/15/1998
#
# System V Rel 5.x (a.k.a Unixware7 w/o BSD-Compatiblity Libs ie. native)
# Contributed by Paul Gampe <paulg@apnic.net>
#
define(`confCC', `/usr/ccs/bin/cc')
define(`confMAPDEF', `-DNDBM -DMAP_REGEX')
define(`confENVDEF', `-D__svr5__')
define(`confLIBS', `-lsocket -lnsl -lelf')
define(`confSHELL', `/usr/bin/sh')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/etc/mail')
define(`confUBINDIR', `/etc/mail')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/etc/mail')
define(`confHFDIR', `/etc/mail')
define(`confINSTALL', `/usr/ucb/install')

View File

@ -1,6 +0,0 @@
# @(#)dcosx.1.x.NILE 8.3 (Berkeley) 2/8/1998
define(`confENVDEF', `-D__svr4__ -DDCOSx ')
define(`confLIBS', `-lsocket -lnsl -lelf')
define(`confHFDIR', `/usr/share/lib/mail')
define(`confINSTALL', `/usr/ucb/install')
define(`confSBINGRP', `sys')

View File

@ -1,10 +0,0 @@
# @(#)dgux 8.5 (Berkeley) 3/12/1998
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confLIBS', `-ldbm')
define(`confMBINDIR', `/usr/bin')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `bin')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/etc')

View File

@ -1,14 +0,0 @@
# @(#)maxion 8.6 (Berkeley) 3/12/1998
define(`confCC', `/usr/ucb/cc')
define(`confMAPDEF', `-DNDBM -DNIS')
define(`confLIBDIRS', `-L/usr/ucblib')
define(`confLIBS', `-ldbm -lgen -lucb')
define(`confMBINDIR', `/usr/ucblib')
define(`confSBINDIR', `/usr/ucbetc')
define(`confUBINDIR', `/usr/ucb')
define(`confEBINDIR', `/usr/ucblib')
define(`confSBINOWN', `smtp')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/var/adm/log')
define(`confHFDIR', `/etc/ucbmail')
define(`confINSTALL', `/usr/ucb/install')

View File

@ -1,26 +0,0 @@
# @(#)uts.systemV 8.10 (Berkeley) 3/12/1998
PUSHDIVERT(1)
# Sendmail 8 on UTS requires BIND 4.9's include files and lib44bsd and
# libresolv libraries. The BIND version on UTS is much too old.
#
BINDPATH=../../../bind
POPDIVERT
define(`confBEFORE', `stddef.h')
define(`confMAPDEF', `-DNIS -DNDBM')
define(`confENVDEF', `-D_UTS ')
define(`confOPTIMIZE', `-g')
define(`confINCDIRS', `-I${BINDPATH}/include -I${BINDPATH}/compat/include')
define(`confLIBDIRS', `-L${BINDPATH}/res -L${BINDPATH}/compat/lib')
define(`confLIBS', `-lyp -lrpc -lbsd -lsocket -la')
define(`confMBINDIR', `/usr/lib')
define(`confSBINDIR', `/usr/etc')
define(`confUBINDIR', `/usr/lib')
define(`confEBINDIR', `/usr/lib')
define(`confSBINGRP', `mail')
define(`confSTDIR', `/usr/lib')
define(`confHFDIR', `/usr/lib')
define(`confINSTALL', `${BUILDBIN}/install.sh')
PUSHDIVERT(3)
stddef.h:
echo "#include <sys/types.h>" > stddef.h
POPDIVERT

View File

@ -1,110 +0,0 @@
This directory contains tools. Do not attempt to actually build
anything in this directory.
The Build script allows you to specify a site configuration file by using
the -f flag:
Build -f siteconfig.m4
You can put such site configuration files in the Site sub-directory;
see Site/README for details.
While building a site configuration file, you can add to a definition
using the APPENDDEF() and PREPENDDEF() macros. For example:
APPENDDEF(`confINCDIRS', `-I/usr/local/bind/include')
will add -I/usr/local/bind/include to the already existing confINCDIRS.
Note: There must be no trailing spaces after the last quote mark and
before the closing parenthesis. Also you may need to properly quote
m4 reserved words as specified by your vendor's m4 command.
By default, sendmail will search your system for include and library
directories as well as certain libraries (libdb.* for Berkeley DB and
libbind.a or libresolv.* for name resolution). You can turn off this
configuration step by specifying the -S flag with the Build command.
The OS subtree contains definitions for variations on a standard
model for system installation. The M4 variables that can be defined
and their defaults before referencing the appropriate OS definitons
are:
confBEFORE [empty] Files to create before sendmail is
compiled. The methods must be defined
in the Makefile using PUSHDIVERT(3).
confBUILDBIN ../../BuildTools/bin
The location of the build support
binaries, relative to the obj.*
directory.
confCC cc The C compiler to use.
confOPTIMIZE -O Flags passed to CC as ${O}.
confDEPEND_TYPE generic How to build dependencies. This should
be the name of a file in
BuildTools/M4/depend
confEBINDIR /usr/libexec The location for binaries executed
from other binaries, e.g., mail.local
or smrsh.
confENVDEF [empty] -D flags passed to cc.
confHFDIR /usr/share/misc Location of the sendmail help file.
confINCDIRS [empty] -I flags passed to cc.
confINSTALL install The BSD-compatible install program.
Use ${BUILDBIN}/install.sh if none
is available on your system.
confLDOPTS [empty] Linker options passed to ld.
confLIBDIRS [empty] -L flags passed to ld.
confLIBS [varies] -l flags passed to ld.
confLIBSEARCH db bind resolv 44bsd
Search for these libraries for
linking with programs.
confLINKS ${UBINDIR}/newaliases ${UBINDIR}/mailq \
${UBINDIR}/hoststat ${UBINDIR}/purgestat
Names of links to sendmail.
confMANROOT /usr/share/man/cat The root of the man subtree.
confMAN1 confMANROOT 1 The location of man1 files.
confMAN1EXT 1 The extension on files in confMAN1.
confMAN1SRC 0 The source for man pages installed
in confMAN1.
confMAN5 confMANROOT 5 The location of man5 files.
confMAN5EXT 5 The extension on files in confMAN5.
confMAN5SRC 0 The source for man pages installed
in confMAN5.
confMAN8 confMANROOT 8 The location of man8 files.
confMAN8EXT 8 The extension on files in confMAN8.
confMAN8SRC 0 The source for man pages installed
in confMAN8.
confMANDOC -mandoc The macros used to format man pages.
confMANOWN bin The owner of installed man pages.
confMANGRP bin The group of installed man pages.
confMANMODE 444 The mode of installed man pages.
confMAPDEF [varies] The map definitions, e.g.,
-DNDBM -DNEWDB. -DNEWDB is always
added if a libdb.a can be found.
confNO_MAN_INSTALL [undefined] If defined, don't install the man
pages by default.
confMBINDIR /usr/sbin The location of the MTA (sendmail)
binary.
confNROFF groff -Tascii The command to format man pages.
confOBJADD [empty] Objects that should be included in
when linking sendmail and the
associated utilities.
confSBINDIR /usr/sbin The location of root-oriented
commands, such as makemap.
confSBINOWN root The owner for setuid binaries.
confSBINGRP kmem The group for setuid binaries.
confSBINMODE 4555 The mode for setuid binaries.
confSHELL /bin/sh The shell to use inside make.
confSMOBJADD [empty] Objects that should be included in
when linking sendmail.
confSRCDIR ../../src The sendmail source directory
relative to support program obj.*
directories.
confSTDIR /var/log The directory in which to store the
sendmail status file.
confUBINDIR /usr/bin The directory for user-executable
binaries.
confUBINOWN bin The owner for user-executable binaries.
confUBINGRP bin The group for user-executable binaries.
confUBINMODE 555 The mode for user-executable binaries.
@(#)README 8.22 (Berkeley) 6/30/1998

View File

@ -1,16 +0,0 @@
The Build script will look for the default site configuration files in
this directory. Build will include the following files if they are
present in this directory:
site.OS.$SENDMAIL_SUFFIX.m4
site.OS.m4
site.config.m4
OS is the name of the operating system file selected from the BuildTools/OS
directory. SENDMAIL_SUFFIX is a user environment variable which can be
used to further distinguish between site configuration files in this
directory.
See the README in the BuildTools directory for more information.
@(#)README 8.3 (Berkeley) 3/27/1998

View File

@ -1,513 +0,0 @@
#!/bin/sh
# Copyright (c) 1998 Sendmail, Inc. All rights reserved.
# Copyright (c) 1993, 1996-1997 Eric P. Allman. All rights reserved.
# Copyright (c) 1993
# The Regents of the University of California. All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
# @(#)Build 8.93 (Berkeley) 6/24/1998
#
#
# A quick-and-dirty script to compile sendmail and related programs
# in the presence of multiple architectures. To use, just use
# "sh Build".
#
trap "rm -f $obj/.settings$$; exit" 1 2 3 15
cflag=""
mflag=""
sflag=""
makeargs=""
libdirs=""
incdirs=""
libsrch=""
siteconfig=""
EX_USAGE=64
EX_NOINPUT=66
EX_UNAVAILABLE=69
while [ ! -z "$1" ]
do
case $1
in
-c) # clean out existing $obj tree
cflag=1
shift
;;
-m) # show Makefile name only
mflag=1
shift
;;
-E*) # environment variables to pass into Build
arg=`echo $1 | sed 's/^-E//'`
if [ -z "$arg" ]
then
shift # move to argument
arg=$1
fi
if [ -z "$arg" ]
then
echo "Empty -E flag" >&2
exit $EX_USAGE
else
case $arg
in
*=*) # check format
eval $arg
export `echo $arg | sed 's;=.*;;'`
;;
*) # bad format
echo "Bad format for -E argument ($arg)" >&2
exit $EX_USAGE
;;
esac
shift
fi
;;
-L*) # set up LIBDIRS
libdirs="$libdirs $1"
shift
;;
-I*) # set up INCDIRS
incdirs="$incdirs $1"
shift
;;
-f*) # select site config file
arg=`echo $1 | sed 's/^-f//'`
if [ -z "$arg" ]
then
shift # move to argument
arg=$1
fi
if [ "$siteconfig" ]
then
echo "Only one -f flag allowed" >&2
exit $EX_USAGE
else
siteconfig=$arg
if [ -z "$siteconfig" ]
then
echo "Missing argument for -f flag" >&2
exit $EX_USAGE
elif [ ! -f "$siteconfig" ]
then
echo "${siteconfig}: File not found"
exit $EX_NOINPUT
else
shift # move past argument
fi
fi
;;
-S) # skip auto-configure
sflag="-s"
shift
;;
*) # pass argument to make
makeargs="$makeargs \"$1\""
shift
;;
esac
done
#
# Do heuristic guesses !ONLY! for machines that do not have uname
#
if [ -d /NextApps -a ! -f /bin/uname -a ! -f /usr/bin/uname ]
then
# probably a NeXT box
arch=`hostinfo | sed -n 's/.*Processor type: \([^ ]*\).*/\1/p'`
os=NeXT
rel=`hostinfo | sed -n 's/.*NeXT Mach \([0-9\.]*\).*/\1/p'`
elif [ -f /usr/sony/bin/machine -a -f /etc/osversion ]
then
# probably a Sony NEWS 4.x
os=NEWS-OS
rel=`awk '{ print $3}' /etc/osversion`
arch=`/usr/sony/bin/machine`
elif [ -d /usr/omron -a -f /bin/luna ]
then
# probably a Omron LUNA
os=LUNA
if [ -f /bin/luna1 ] && /bin/luna1
then
rel=unios-b
arch=luna1
elif [ -f /bin/luna2 ] && /bin/luna2
then
rel=Mach
arch=luna2
elif [ -f /bin/luna88k ] && /bin/luna88k
then
rel=Mach
arch=luna88k
fi
elif [ -d /usr/apollo -a -d \`node_data ]
then
# probably a Apollo/DOMAIN
os=DomainOS
arch=$ISP
rel=`/usr/apollo/bin/bldt | grep Domain | awk '{ print $4 }' | sed -e 's/,//g'`
fi
if [ ! "$arch" -a ! "$os" -a ! "$rel" ]
then
arch=`uname -m | sed -e 's/ //g'`
os=`uname -s | sed -e 's/\//-/g' -e 's/ //g'`
rel=`uname -r | sed -e 's/(/-/g' -e 's/)//g'`
fi
#
# Tweak the values we have already got. PLEASE LIMIT THESE to
# tweaks that are absolutely necessary because your system uname
# routine doesn't return something sufficiently unique. Don't do
# it just because you don't like the name that is returned. You
# can combine the architecture name with the os name to create a
# unique Makefile name.
#
# tweak machine architecture
case $arch
in
sun4*) arch=sun4;;
9000/*) arch=`echo $arch | sed -e 's/9000.//' -e 's/..$/xx/'`;;
DS/907000) arch=ds90;;
NILE*) arch=NILE
os=`uname -v`;;
esac
# tweak operating system type and release
node=`uname -n | sed -e 's/\//-/g' -e 's/ //g'`
if [ "$os" = "$node" -a "$arch" = "i386" -a "$rel" = 3.2 -a "`uname -v`" = 2 ]
then
# old versions of SCO UNIX set uname -s the same as uname -n
os=SCO_SV
fi
if [ "$rel" = 4.0 ]
then
case $arch in
3[34]??|3[34]??,*)
if [ -d /usr/sadm/sysadm/add-ons/WIN-TCP ]
then
os=NCR.MP-RAS.2.x
elif [ -d /usr/sadm/sysadm/add-ons/inet ]
then
os=NCR.MP-RAS.3.x
fi
;;
esac
fi
case $os
in
DYNIX-ptx) os=PTX;;
Paragon*) os=Paragon;;
HP-UX) rel=`echo $rel | sed -e 's/^[^.]*\.0*//'`;;
AIX) rela=$rel
rel=`uname -v`
case $rel in
2) arch=""
;;
4) if [ "$rela" = "3" ]
then
arch=$rela
fi
;;
esac
rel=$rel.$rela
;;
BSD-386) os=BSD-OS;;
SCO_SV) os=SCO; rel=`uname -X | sed -n 's/Release = 3.2v//p'`;;
UNIX_System_V) if [ "$arch" = "ds90" ]
then
os="UXPDS"
rel=`uname -v | sed -e 's/\(V.*\)L.*/\1/'`
fi;;
SINIX-?) os=SINIX;;
DomainOS) case $rel in
10.4*) rel=10.4;;
esac
;;
esac
# get "base part" of operating system release
rroot=`echo $rel | sed -e 's/\.[^.]*$//'`
rbase=`echo $rel | sed -e 's/\..*//'`
if [ "$rroot" = "$rbase" ]
then
rroot=$rel
fi
# heuristic tweaks to clean up names -- PLEASE LIMIT THESE!
if [ "$os" = "unix" ]
then
# might be Altos System V
case $rel
in
5.3*) os=Altos;;
esac
elif [ -r /unix -a -r /usr/lib/libseq.a -a -r /lib/cpp ]
then
# might be a DYNIX/ptx 2.x system, which has a broken uname
if strings /lib/cpp | grep _SEQUENT_ > /dev/null
then
os=PTX
fi
elif [ -d /usr/nec ]
then
# NEC machine -- what is it running?
if [ "$os" = "UNIX_System_V" ]
then
os=EWS-UX_V
elif [ "$os" = "UNIX_SV" ]
then
os=UX4800
fi
elif [ "$arch" = "mips" ]
then
case $rel
in
4_*)
if [ `uname -v` = "UMIPS" ]
then
os=RISCos
fi;;
esac
fi
# see if there is a "user suffix" specified
if [ "${SENDMAIL_SUFFIX-}x" = "x" ]
then
sfx=""
else
sfx=".${SENDMAIL_SUFFIX}"
fi
echo "Configuration: os=$os, rel=$rel, rbase=$rbase, rroot=$rroot, arch=$arch, sfx=$sfx"
SMROOT=${SMROOT-..}
BUILDTOOLS=${BUILDTOOLS-$SMROOT/BuildTools}
export SMROOT BUILDTOOLS
# see if we are in a Build-able directory
if [ ! -f Makefile.m4 ]; then
echo "Makefile.m4 not found. Build can only be run from a source directory."
exit $EX_UNAVAILABLE
fi
# now try to find a reasonable object directory
if [ -r obj.$os.$rel.$arch$sfx ]; then
obj=obj.$os.$rel.$arch$sfx
elif [ -r obj.$os.$rroot.$arch$sfx ]; then
obj=obj.$os.$rroot.$arch$sfx
elif [ -r obj.$os.$rbase.x.$arch$sfx ]; then
obj=obj.$os.$rbase.x.$arch$sfx
elif [ -r obj.$os.$rel$sfx ]; then
obj=obj.$os.$rel$sfx
elif [ -r obj.$os.$rbase.x$sfx ]; then
obj=obj.$os.$rbase.x$sfx
elif [ -r obj.$os.$arch$sfx ]; then
obj=obj.$os.$arch$sfx
elif [ -r obj.$rel.$arch$sfx ]; then
obj=obj.$rel.$arch$sfx
elif [ -r obj.$rbase.x.$arch$sfx ]; then
obj=obj.$rbase.x.$arch$sfx
elif [ -r obj.$os$sfx ]; then
obj=obj.$os$sfx
elif [ -r obj.$arch$sfx ]; then
obj=obj.$arch$sfx
elif [ -r obj.$rel$sfx ]; then
obj=obj.$rel$sfx
elif [ -r obj$sfx ]; then
obj=obj$sfx
fi
if [ -z "$obj" -o "$cflag" ]
then
if [ -n "$obj" ]
then
echo "Clearing out existing $obj tree"
rm -rf $obj
else
# no existing obj directory -- try to create one if Makefile found
obj=obj.$os.$rel.$arch$sfx
fi
if [ -r $BUILDTOOLS/OS/$os.$rel.$arch$sfx ]; then
oscf=$os.$rel.$arch$sfx
elif [ -r $BUILDTOOLS/OS/$os.$rel.$arch ]; then
oscf=$os.$rel.$arch
elif [ -r $BUILDTOOLS/OS/$os.$rroot.$arch$sfx ]; then
oscf=$os.$rroot.$arch$sfx
elif [ -r $BUILDTOOLS/OS/$os.$rroot.$arch ]; then
oscf=$os.$rroot.$arch
elif [ -r $BUILDTOOLS/OS/$os.$rbase.x.$arch$sfx ]; then
oscf=$os.$rbase.x.$arch$sfx
elif [ -r $BUILDTOOLS/OS/$os.$rbase.x.$arch ]; then
oscf=$os.$rbase.x.$arch
elif [ -r $BUILDTOOLS/OS/$os.$rel$sfx ]; then
oscf=$os.$rel$sfx
elif [ -r $BUILDTOOLS/OS/$os.$rel ]; then
oscf=$os.$rel
elif [ -r $BUILDTOOLS/OS/$os.$rroot$sfx ]; then
oscf=$os.$rroot$sfx
elif [ -r $BUILDTOOLS/OS/$os.$rroot ]; then
oscf=$os.$rroot
elif [ -r $BUILDTOOLS/OS/$os.$rbase.x$sfx ]; then
oscf=$os.$rbase.x$sfx
elif [ -r $BUILDTOOLS/OS/$os.$rbase.x ]; then
oscf=$os.$rbase.x
elif [ -r $BUILDTOOLS/OS/$os.$arch$sfx ]; then
oscf=$os.$arch$sfx
elif [ -r $BUILDTOOLS/OS/$os.$arch ]; then
oscf=$os.$arch
elif [ -r $BUILDTOOLS/OS/$rel.$arch$sfx ]; then
oscf=$rel.$arch$sfx
elif [ -r $BUILDTOOLS/OS/$rel.$arch ]; then
oscf=$rel.$arch
elif [ -r $BUILDTOOLS/OS/$rroot.$arch$sfx ]; then
oscf=$rroot.$arch$sfx
elif [ -r $BUILDTOOLS/OS/$rroot.$arch ]; then
oscf=$rroot.$arch
elif [ -r $BUILDTOOLS/OS/$rbase.x.$arch$sfx ]; then
oscf=$rbase.x.$arch$sfx
elif [ -r $BUILDTOOLS/OS/$rbase.x.$arch ]; then
oscf=$rbase.x.$arch
elif [ -r $BUILDTOOLS/OS/$os$sfx ]; then
oscf=$os$sfx
elif [ -r $BUILDTOOLS/OS/$os ]; then
oscf=$os
elif [ -r $BUILDTOOLS/OS/$arch$sfx ]; then
oscf=$arch$sfx
elif [ -r $BUILDTOOLS/OS/$arch ]; then
oscf=$arch
elif [ -r $BUILDTOOLS/OS/$rel$sfx ]; then
oscf=$rel$sfx
elif [ -r $BUILDTOOLS/OS/$rel ]; then
oscf=$rel
elif [ -r $BUILDTOOLS/OS/$rel$sfx ]; then
oscf=$rel$sfx
else
echo "Cannot determine how to support $arch.$os.$rel" >&2
exit $EX_UNAVAILABLE
fi
M4=`sh $BUILDTOOLS/bin/find_m4.sh`
ret=$?
if [ $ret -ne 0 ]
then
exit $ret
fi
echo "Using M4=$M4"
export M4
if [ "$mflag" ]
then
echo "Will run in virgin $obj using $BUILDTOOLS/OS/$oscf"
exit 0
fi
if [ "$ABI" ]
then
echo "Using ABI $ABI"
fi
echo "Creating $obj using $BUILDTOOLS/OS/$oscf"
mkdir $obj
(cd $obj; ln -s ../*.[ch158] .)
if [ -f sendmail.hf ]
then
(cd $obj; ln -s ../sendmail.hf .)
fi
rm -f $obj/.settings$$
echo 'divert(-1)' > $obj/.settings$$
cat $BUILDTOOLS/M4/header.m4 >> $obj/.settings$$
if [ "$ABI" ]
then
echo "define(\`confABI', \`$ABI')" >> $obj/.settings$$
fi
cat $BUILDTOOLS/OS/$oscf >> $obj/.settings$$
if [ -z "$siteconfig" ]
then
# none specified, use defaults
if [ -f $BUILDTOOLS/Site/site.$oscf$sfx.m4 ]
then
siteconfig=$BUILDTOOLS/Site/site.$oscf$sfx.m4
elif [ -f $BUILDTOOLS/Site/site.$oscf.m4 ]
then
siteconfig=$BUILDTOOLS/Site/site.$oscf.m4
fi
if [ -f $BUILDTOOLS/Site/site.config.m4 ]
then
siteconfig="$BUILDTOOLS/Site/site.config.m4 $siteconfig"
fi
fi
if [ ! -z "$siteconfig" ]
then
echo "Including $siteconfig"
cat $siteconfig >> $obj/.settings$$
fi
if [ "$libdirs" ]
then
echo "define(\`confLIBDIRS', confLIBDIRS \`\`$libdirs'')" >> $obj/.settings$$
fi
if [ "$incdirs" ]
then
echo "define(\`confINCDIRS', confINCDIRS \`\`$incdirs'')" >> $obj/.settings$$
fi
echo 'divert(0)dnl' >> $obj/.settings$$
libdirs=`(cat $obj/.settings$$; echo "_SRIDBIL_= confLIBDIRS" ) | \
sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' | \
${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
grep "^_SRIDBIL_=" | \
sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' -e "s/^_SRIDBIL_=//"`
libsrch=`(cat $obj/.settings$$; echo "_HCRSBIL_= confLIBSEARCH" ) | \
sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' | \
${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
grep "^_HCRSBIL_=" | \
sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' -e "s/^_HCRSBIL_=//"`
echo 'divert(-1)' >> $obj/.settings$$
LIBDIRS="$libdirs" LIBSRCH="$libsrch" SITECONFIG="$siteconfig" sh $BUILDTOOLS/bin/configure.sh $sflag $oscf >> $obj/.settings$$
echo 'divert(0)dnl' >> $obj/.settings$$
sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' $obj/.settings$$ | \
${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - Makefile.m4 | \
sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' > $obj/Makefile
if [ $? -ne 0 -o ! -s $obj/Makefile ]
then
echo "ERROR: ${M4} failed; You may need a newer version of M4, at least as new as System V or GNU" 1>&2
rm -rf $obj
exit $EX_UNAVAILABLE
fi
rm -f $obj/.settings$$
echo "Making dependencies in $obj"
(cd $obj; ${MAKE-make} depend)
fi
if [ "$mflag" ]
then
makefile=`ls -l $obj/Makefile | sed 's/.* //'`
if [ -z "$makefile" ]
then
echo "ERROR: $obj exists but has no Makefile" >&2
exit $EX_NOINPUT
fi
echo "Will run in existing $obj using $makefile"
exit 0
fi
echo "Making in $obj"
cd $obj
eval exec ${MAKE-make} $makeargs

View File

@ -1,163 +0,0 @@
#!/bin/sh
# Copyright (c) 1998 Sendmail, Inc. All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
# @(#)configure.sh 8.27 (Berkeley) 5/19/1998
#
# Special script to autoconfigure for M4 generation of Makefile
#
os=""
resolver=""
sflag=""
while [ ! -z "$1" ]
do
case $1
in
-s) # skip auto-configure
sflag=1
shift
;;
*) # OS definition
os=$1
shift
;;
esac
done
usewhoami=0
usehostname=0
for p in `echo $PATH | sed 's/:/ /g'`
do
if [ "x$p" = "x" ]
then
p="."
fi
if [ -f $p/whoami ]
then
usewhoami=1
if [ $usehostname -ne 0 ]
then
break;
fi
fi
if [ -f $p/hostname ]
then
usehostname=1
if [ $usewhoami -ne 0 ]
then
break;
fi
fi
done
if [ $usewhoami -ne 0 ]
then
user=`whoami`
else
user=$LOGNAME
fi
if [ $usehostname -ne 0 ]
then
host=`hostname`
else
host=`uname -n`
fi
echo "PUSHDIVERT(0)"
echo "####################################################################"
echo "##### This file is automatically generated -- edit at your own risk"
echo '#####' Built by $user@$host
echo '#####' on `date` using template OS/$os
if [ ! -z "$SITECONFIG" ]
then
echo '#####' including $SITECONFIG
fi
echo '#####' in `pwd` | sed 's/\/tmp_mnt//'
echo "####################################################################"
echo ""
echo "POPDIVERT"
echo "define(\`__HOST__', \`$host')dnl"
echo "ifdef(\`confMAPDEF',, \`define(\`confMAPDEF', \`')')dnl"
echo "ifdef(\`confLIBS',, \`define(\`confLIBS', \`')')dnl"
# If user did not supply ABI for Build, use SGI_ABI
# so the proper libraries are checked below.
if [ -z "$ABI" ]
then
ABI="$SGI_ABI"
fi
case $ABI
in
-n32) LIBDIRS="$LIBDIRS /lib32 /usr/lib32"
;;
-64) LIBDIRS="$LIBDIRS /lib64 /usr/lib64"
;;
*) LIBDIRS="$LIBDIRS /lib /usr/lib /usr/shlib"
;;
esac
libs=""
mapdef=""
for l in $LIBSRCH
do
for p in `echo $LIBDIRS | sed -e 's/:/ /g' -e 's/^-L//g' -e 's/ -L/ /g'`
do
if [ "x$p" = "x" ]
then
p = "."
fi
if [ -f $p/lib$l.a -o -f $p/lib$l.so ]
then
case $l
in
db)
mapdef="$mapdef -DNEWDB"
;;
bind|resolv)
if [ -n "$resolver" ]
then
continue
else
resolver=$l
fi
;;
44bsd)
if [ "x$resolver" != "xresolv" ]
then
continue
fi
;;
esac
libs="$libs -l$l"
break
fi
done
done
for p in `echo $PATH | sed 's/:/ /g'`
do
pbase=`echo $p | sed -e 's,/bin,,'`
if [ "x$p" = "x" ]
then
p="."
fi
if [ -f $p/mkdep ]
then
echo "ifdef(\`confDEPEND_TYPE',, \`define(\`confDEPEND_TYPE', \`BSD')')dnl"
fi
done
if [ -z "$sflag" ]
then
echo "define(\`confMAPDEF', \`$mapdef' confMAPDEF)dnl"
echo "define(\`confLIBS', \`$libs' confLIBS)dnl"
fi

View File

@ -1,82 +0,0 @@
#!/bin/sh
# Copyright (c) 1998 Sendmail, Inc. All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
# @(#)find_m4.sh 8.4 (Berkeley) 5/19/1998
#
# Try to find a working M4 program.
# If $M4 is already set, we use it, otherwise we prefer GNU m4.
EX_UNAVAILABLE=69
test="ifdef(\`pushdef', \`',
\`errprint(\`You need a newer version of M4, at least as new as System V or GNU')
include(NoSuchFile)')
define(\`BadNumber', \`10')
ifdef(\`BadNumber', \`', \`errprint(\`This version of m4 is broken')')"
if [ "$M4" ]
then
err=`(echo "$test" | $M4) 2>&1 >/dev/null`
code=$?
else
firstfound=
ifs="$IFS"; IFS="${IFS}:"
for m4 in gm4 gnum4 pdm4 m4
do
for dir in $PATH /usr/5bin /usr/ccs/bin
do
[ -z "$dir" ] && dir=.
if [ -f $dir/$m4 ]
then
err=`(echo "$test" | $dir/$m4) 2>&1 >/dev/null`
ret=$?
if [ $ret -eq 0 -a "X$err" = "X" ]
then
M4=$dir/$m4
code=0
break
else
case "$firstfound:$err" in
:*version\ of*)
firstfound=$dir/$m4
firsterr="$err"
firstcode=$ret
;;
esac
fi
fi
done
[ "$M4" ] && break
done
IFS="$ifs"
if [ ! "$M4" ]
then
if [ "$firstfound" ]
then
M4=$firstfound
err="$firsterr"
code=$firstcode
else
echo "ERROR: Can not locate an M4 program" >&2
exit $EX_UNAVAILABLE
fi
fi
fi
if [ $code -ne 0 ]
then
echo "ERROR: Using M4=$M4: $err" | grep -v NoSuchFile >&2
exit $EX_UNAVAILABLE
elif [ "X$err" != "X" ]
then
echo "WARNING: $err" >&2
fi
echo $M4
exit 0

View File

@ -1,128 +0,0 @@
#!/bin/sh
# Copyright (c) 1998 Sendmail, Inc. All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
# @(#)install.sh 8.9 (Berkeley) 5/19/1998
# Set default program
program=mv
# chown program -- ultrix keeps it in /etc/chown and /usr/etc/chown
if [ -f /etc/chown ]
then
chown=/etc/chown
elif [ -f /usr/etc/chown ]
then
chown=/usr/etc/chown
else
chown=chown
fi
# Check arguments
while [ ! -z "$1" ]
do
case $1
in
-o) owner=$2
shift; shift
;;
-g) group=$2
shift; shift
;;
-m) mode=$2
shift; shift
;;
-c) program=cp
shift
;;
-s) strip="strip"
shift
;;
-*) echo $0: Unknown option $1
exit 1
;;
*) break
;;
esac
done
# Check source file
if [ -z "$1" ]
then
echo "Source file required" >&2
exit 1
elif [ -f $1 -o $1 = /dev/null ]
then
src=$1
else
echo "Source file must be a regular file or /dev/null" >&2
exit 1
fi
# Check destination
if [ -z "$2" ]
then
echo "Destination required" >&2
exit 1
elif [ -d $2 ]
then
dst=$2/$src
else
dst=$2
fi
# Do install operation
$program $src $dst
if [ $? != 0 ]
then
exit 1
fi
# Strip if requested
if [ ! -z "$strip" ]
then
$strip $dst
fi
# Change owner if requested
if [ ! -z "$owner" ]
then
$chown $owner $dst
if [ $? != 0 ]
then
exit 1
fi
fi
# Change group if requested
if [ ! -z "$group" ]
then
chgrp $group $dst
if [ $? != 0 ]
then
exit 1
fi
fi
# Change mode if requested
if [ ! -z "$mode" ]
then
chmod $mode $dst
if [ $? != 0 ]
then
exit 1
fi
fi
exit 0

View File

@ -1,29 +0,0 @@
#!/bin/sh
# Copyright (c) 1998, 1999 Sendmail, Inc. and its suppliers.
# All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
# $Id: Build,v 8.7 1999/03/02 02:37:12 peterh Exp $
#
#
# A quick-and-dirty script to create cf files.
#
SMROOT=${SMROOT-../..}
BUILDTOOLS=${BUILDTOOLS-$SMROOT/devtools}
M4=`sh $BUILDTOOLS/bin/find_m4.sh`
ret=$?
if [ $ret -ne 0 ]
then
exit $ret
fi
echo "Using M4=$M4"
eval exec ${MAKE-make} M4=$M4 $*

View File

@ -1,113 +0,0 @@
divert(-1)
#
# Copyright (c) 1998 Sendmail, Inc. All rights reserved.
# Copyright (c) 1983, 1995 Eric P. Allman. All rights reserved.
# Copyright (c) 1988, 1993
# The Regents of the University of California. All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
divert(0)
VERSIONID(`@(#)nullrelay.m4 8.19 (Berkeley) 5/19/1998')
#
# This configuration applies only to relay-only hosts. They send
# all mail to a hub without consideration of the address syntax
# or semantics, except for adding the hub qualification to the
# addresses.
#
# This is based on a prototype done by Bryan Costales of ICSI.
#
######################################################################
######################################################################
#####
##### REWRITING RULES
#####
######################################################################
######################################################################
###########################################
### Rulset 3 -- Name Canonicalization ###
###########################################
S3
# handle null input
R$@ $@ <@>
# strip group: syntax (not inside angle brackets!) and trailing semicolon
R$* $: $1 <@> mark addresses
R$* < $* > $* <@> $: $1 < $2 > $3 unmark <addr>
R$* :: $* <@> $: $1 :: $2 unmark node::addr
R:`include': $* <@> $: :`include': $1 unmark :`include':...
R$* : $* <@> $: $2 strip colon if marked
R$* <@> $: $1 unmark
R$* ; $1 strip trailing semi
R$* < $* ; > $1 < $2 > bogus bracketed semi
# null input now results from list:; syntax
R$@ $@ :; <@>
# basic textual canonicalization -- note RFC733 heuristic here
R$* $: < $1 > housekeeping <>
R$+ < $* > < $2 > strip excess on left
R< $* > $+ < $1 > strip excess on right
R<> $@ < @ > MAIL FROM:<> case
R< $+ > $: $1 remove housekeeping <>
ifdef(`_NO_CANONIFY_', `dnl',
`# eliminate local host if present
R@ $=w $=: $+ $@ @ $M $2 $3 @thishost ...
R@ $+ $@ @ $1 @somewhere ...
R$=E @ $=w $@ $1 @ $2 leave exposed
R$+ @ $=w $@ $1 @ $M ...@thishost
R$+ @ $+ $@ $1 @ $2 ...@somewhere
R$=w ! $=E $@ $2 @ $1 leave exposed
R$=w ! $+ $@ $2 @ $M thishost!...
R$+ ! $+ $@ $1 ! $2 @ $M somewhere ! ...
R$=E % $=w $@ $1 @ $2 leave exposed
R$+ % $=w $@ $1 @ $M ...%thishost
R$+ % $+ $@ $1 @ $2 ...%somewhere
R$=E $@ $1 @ $j leave exposed
R$+ $@ $1 @ $M unadorned user')
######################################
### Ruleset 0 -- Parse Address ###
######################################
S0
R$*:;<@> $#error $@ USAGE $: "List:; syntax illegal for recipient addresses"
# pass everything else to a relay host
R$* $#_RELAY_ $@ $H $: $1
##################################################
### Ruleset 4 -- Final Output Post-rewriting ###
##################################################
S4
R$* <@> $@ handle <> and list:;
# strip trailing dot off before passing to nullclient relay
R$* @ $+ . $1 @ $2
#
######################################################################
######################################################################
#####
`##### MAILER DEFINITIONS'
#####
######################################################################
######################################################################
undivert(7)dnl

Some files were not shown because too many files have changed in this diff Show More